# =========================================================================== #
# Gemspec for Project ClassDocuShower.
# =========================================================================== #
require 'class_docu_shower/version/version.rb'

Gem::Specification.new { |s|

  s.name    = 'class_docu_shower'
  s.version = ClassDocuShower::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')
  
  DESCRIPTION = <<-EOF
  
This library is called class_docu_shower.

It will display the header of a .rb file in question.

For this to properly function, you should use 3 '=' characters,
followed by the name of the class, and delimited via '# ====='
entries.

Example:

'=== Menu'

Without the '' quotes.

There also is an executable at bin/class_docu_shower.

Pass it the path to a .rb file and it will output the
top header comment.

  EOF
  
  s.summary     = DESCRIPTION
  s.description = DESCRIPTION
  
  s.extra_rdoc_files = %w( USAGE.md )
  
  s.authors    = ['Robert A. Heiler']
  s.email      = 'shevegen@gmail.com'
  s.files      = Dir['**/*']
  s.files     << 'USAGE.md'
  s.license    = 'GPL-2.0'
  s.homepage   = 'http://rubygems.org/gems/class_docu_shower'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.add_dependency 'colours'
  s.add_dependency 'opn'
  # s.add_dependency 'usher'
  # ^^^ The variant on rubygems.org is not the one we need.

}